<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>InterpreteurAction</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="declaration: package: controleurs, class: InterpreteurAction">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">controleurs</a></div>
<h1 title="Class InterpreteurAction" class="title">Class InterpreteurAction</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.util.AbstractCollection&lt;E&gt;
<div class="inheritance">java.util.AbstractList&lt;E&gt;
<div class="inheritance">java.util.ArrayList&lt;<a href="../commandes/Commande.html" title="class in commandes">Commande</a>&gt;
<div class="inheritance">controleurs.InterpreteurAction</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code>, <code>java.lang.Iterable&lt;<a href="../commandes/Commande.html" title="class in commandes">Commande</a>&gt;</code>, <code>java.util.Collection&lt;<a href="../commandes/Commande.html" title="class in commandes">Commande</a>&gt;</code>, <code>java.util.List&lt;<a href="../commandes/Commande.html" title="class in commandes">Commande</a>&gt;</code>, <code>java.util.RandomAccess</code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">InterpreteurAction</span>
extends java.util.ArrayList&lt;<a href="../commandes/Commande.html" title="class in commandes">Commande</a>&gt;</pre>
<div class="block">Registre des prototypes de commandes.</div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../commandes/Commande.html" title="class in commandes"><code>Commande</code></a>, 
<a href="../serialized-form.html#controleurs.InterpreteurAction">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.java.util.AbstractList">Fields inherited from class&nbsp;java.util.AbstractList</h3>
<code>modCount</code></div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static <a href="InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getInstance()">getInstance</a></span>()</code></th>
<td class="col-last">
<div class="block">retourne l'instance unique de l'interpreteur d'actions</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code><a href="../commandes/Commande.html" title="class in commandes">Commande</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#interpreterAction(java.awt.AWTEvent)">interpreterAction</a></span>&#8203;(java.awt.AWTEvent&nbsp;e)</code></th>
<td class="col-last">
<div class="block">Recoit une action generee par l'utiisateur et, si elle correspond au
 declencheur de l'une des commandes, clone, parametre et retourne la commande.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.ArrayList">Methods inherited from class&nbsp;java.util.ArrayList</h3>
<code>add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.AbstractCollection">Methods inherited from class&nbsp;java.util.AbstractCollection</h3>
<code>containsAll, toString</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.Collection">Methods inherited from interface&nbsp;java.util.Collection</h3>
<code>parallelStream, stream, toArray</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.List">Methods inherited from interface&nbsp;java.util.List</h3>
<code>containsAll</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="interpreterAction(java.awt.AWTEvent)">
<h3>interpreterAction</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../commandes/Commande.html" title="class in commandes">Commande</a></span>&nbsp;<span class="member-name">interpreterAction</span>&#8203;(<span class="parameters">java.awt.AWTEvent&nbsp;e)</span></div>
<div class="block">Recoit une action generee par l'utiisateur et, si elle correspond au
 declencheur de l'une des commandes, clone, parametre et retourne la commande.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>e</code> - evenement brut genere par les actions de l'usager</dd>
<dt>Returns:</dt>
<dd>un clone du prototype de commande auquel correspond l'evenement brut,
         ou null si l'evenement ne correspond a aucune commande</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getInstance()">
<h3>getInstance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a></span>&nbsp;<span class="member-name">getInstance</span>()</div>
<div class="block">retourne l'instance unique de l'interpreteur d'actions</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>l'instance d'InterpreteurAction</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
